Docs
Assignment APIConfiguration

Set the qualifying assignment status

Security groups:Rate retrieval customizers
PUT
/vat-rates/qualifying-status

Sets which assignment status qualify for taxonomy-based VAT rates. Assignments with a qualifying status return a taxonomy-derived rate; all others fall back to the country's standard rate.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

newValue*array<>

The assignment status that qualify for taxonomy-based VAT rates. Accepts multiple values as repeated parameters or as a comma-separated list.

  • ASSIGNED: The product has a product class sufficient to retrieve VAT rates for all supported countries.
  • APPROVED: The product has a sufficient product class that has been confirmed by human review.
  • REJECTED: The product has a product class that is insufficient to retrieve VAT rates for all supported countries, or requires further processing after human review.

Response Body

application/json

application/json

curl -X PUT "https://example.com/vat-rates/qualifying-status?newValue=ASSIGNED"
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}